#
# spec file for package xfce4-cpugraph-plugin
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin cpugraph
%bcond_with git
Name:           xfce4-%{plugin}-plugin
Version:        1.1.0
Release:        lp152.100.1
Summary:        CPU Graph Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
URL:            https://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
Source0:        https://archive.xfce.org/src/panel-plugins/%{name}/1.1/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxfce4panel-2.0)
BuildRequires:  pkgconfig(libxfce4ui-2)
%if %{with git}
BuildRequires:  xfce4-dev-tools
%endif
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
# package was renamed in 2019 after Leap 15.1
Provides:       xfce4-panel-plugin-%{plugin} = %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin} < %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin}-debuginfo

%description
The CPU Graph plugin diplays a customizable graph of the CPU load of either
a specific CPU or all CPUs combined.

%package lang
Summary:        Translations for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Supplements:    %{name}
Provides:       %{name}-lang-all = %{version}
# package was renamed in 2019 after Leap 15.1
Obsoletes:      xfce4-panel-plugin-%{plugin}-lang < %{version}-%{release}
Provides:       xfce4-panel-plugin-%{plugin}-lang = %{version}-%{release}
BuildArch:      noarch

%description lang
Provides translations for the "%{name}" package.

%prep
%autosetup

%build
%if %{with git}
NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-maintainer-mode \
    --disable-static
%else
%configure --disable-static
%endif
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libcpugraph.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%doc AUTHORS ChangeLog NEWS README
%{!?with_git:%doc AUTHORS NEWS README}
%license COPYING
%{_libdir}/xfce4/panel/plugins/libcpugraph.so
%{_datadir}/xfce4/panel/plugins/cpugraph.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-cpugraph-plugin.png

%files lang -f %{name}.lang

%changelog
* Fri Aug 16 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Fixed sources in spec file
* Tue Jul 16 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Package renamed to follow upstream name xfce4-foo-plugin
- Use lang subpackage for manual edits instead of %%lang_package macro
- Cleaned up spec file
* Wed Jul  3 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 1.1.0
  * Stable release of cpugraph-plugin, featuring only updated
    translations. For more details on the GTK 3 Port and other
    improvements, please refer to the release notes of 1.0.90
    and 1.0.91.
* Sun Jun 23 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- update to version 1.0.91
  * Add option to disable the graph (bxo#15163)
  * Use css to change bar colors (bxo#15186)
  * Fix bars in horizontal mode
  * Updated translations
* Wed May 29 2019 Vinzenz Vietzke <vinz@vinzv.de>
- update to version 1.0.90
  - GTK 3 Port
  - Updated translations
- Cleaned spec file (URLs with https, Git bcond)
* Sun Mar 17 2013 gber@opensuse.org
- update to version 1.0.5
  - only set bar color if a color was actually specified
  - only set bar color if bars are enabled
- dropped obsolete
  xfce4-panel-plugin-cpugrap-only-set-color-if-enabled.patch
* Mon Jul  2 2012 gber@opensuse.org
- update to version 1.0.4
  - fix build failure with xfce4-panel 4.8
- added xfce4-panel-plugin-cpugrap-only-set-color-if-enabled.patch
  in order to only set bar color if bars are enabled (bxo#907,
  backported from upstream git)
* Sun Jul  1 2012 gber@opensuse.org
- update to version 1.0.3
  - better compliance with panel plugin HIG
  - add an option allowing to set the bar color
  - fix transparency issues
* Sun Apr 29 2012 gber@opensuse.org
- update to version 1.0.2
  - ported to libxfce4ui
  - fixed buffer overflow
  - fixes plugin losing associated command value
  - build the plugin as a module
  - adapt to panel 4.9 api
- removed obsolete
  xfce4-panel-plugin-cpugraph-1.0.1-fix-buffer-overflow.patch
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
